package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.DescontoComissao;
import com.rjconsultores.ventaboletos.utilerias.BigDecimalUtil;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;
import com.rjconsultores.ventaboletos.utilerias.LocaleUtil;

public class RenderDescontoComissao implements ListitemRenderer {
	
    public void render(Listitem lstm, Object o) throws Exception {
        DescontoComissao descontoComissao = (DescontoComissao) o;

        Listcell lc = new Listcell(descontoComissao.getDescontocomissaoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(descontoComissao.getItemDesconto().getNomitemdesconto() != null ? descontoComissao.getItemDesconto().getNomitemdesconto() : "");
        lc.setParent(lstm);

        lc = new Listcell(descontoComissao.getPreco() != null ? BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(descontoComissao.getPreco(), LocaleUtil.getLocale()) : "0,00");
        lc.setParent(lstm);

        lc = new Listcell(descontoComissao.getDatainicial() != null ? DateUtil.getStringDate(descontoComissao.getDatainicial(), "dd/MM/yyyy") : "");
        lc.setParent(lstm);

        lc = new Listcell(descontoComissao.getDatafinal() != null ? DateUtil.getStringDate(descontoComissao.getDatafinal(), "dd/MM/yyyy") : "");
        lc.setParent(lstm);

        lstm.setAttribute("data", descontoComissao);
    }
}
